Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.tree.data
Class VisualNode

    java.lang.Object
      java.awt.geom.RectangularShape
          java.awt.geom.Rectangle2D
              java.awt.geom.Rectangle2D.Double
                  jprotein.tree.data.VisualLeaf
                      jprotein.tree.data.VisualNode

All Implemented Interfaces:
  java.awt.Shape, java.lang.Cloneable

    public class VisualNode

extends VisualLeaf

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.geom.Rectangle2D
`java.awt.geom.Rectangle2D.Double, java.awt.geom.Rectangle2D.Float`

Field Summary

Fields inherited from class java.awt.geom.Rectangle2D.Double
`height, width`

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`VisualNode(SimpleNode node, VisualLeaf left, VisualLeaf right)`

Method Summary
`java.util.Vector` | `getChild()`
`double` | `getLeftSpan()`
`double` | `getRightSpan()`
`double` | `getSpan()`
`double` | `getVMaxX()`
`double` | `getVMaxY()`
`double` | `getVMinX()`
`VisualLeaf` | `goLeft()`
`VisualLeaf` | `goRight()`
`void` | `render(java.awt.Graphics2D g2)`
`void` | `setVX(double x)`
`void` | `setVY(double y)`
`void` | `updateTree()`

Methods inherited from class jprotein.tree.data.VisualLeaf
`equals, getLeaf, getVX, getVY, isSelected, select, setScale, toString`

Methods inherited from class java.awt.geom.Rectangle2D.Double
`createIntersection, createUnion, getBounds2D, getHeight, getWidth, getX, getY, isEmpty, outcode, setRect, setRect`

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VisualNode

    public VisualNode(SimpleNode node,
                      VisualLeaf left,
                      VisualLeaf right)

Method Detail

### goLeft

    public VisualLeaf goLeft()

### goRight

    public VisualLeaf goRight()

### getLeftSpan

    public double getLeftSpan()

  Overrides:
    `getLeftSpan` in class `VisualLeaf`

### getRightSpan

    public double getRightSpan()

  Overrides:
    `getRightSpan` in class `VisualLeaf`

### getSpan

    public double getSpan()

  Overrides:
    `getSpan` in class `VisualLeaf`

### getChild

    public java.util.Vector getChild()

  Overrides:
    `getChild` in class `VisualLeaf`

### setVX

    public void setVX(double x)

  Overrides:
    `setVX` in class `VisualLeaf`

### setVY

    public void setVY(double y)

  Overrides:
    `setVY` in class `VisualLeaf`

### getVMaxX

    public double getVMaxX()

  Overrides:
    `getVMaxX` in class `VisualLeaf`

### getVMinX

    public double getVMinX()

  Overrides:
    `getVMinX` in class `VisualLeaf`

### getVMaxY

    public double getVMaxY()

  Overrides:
    `getVMaxY` in class `VisualLeaf`

### updateTree

    public void updateTree()

  Overrides:
    `updateTree` in class `VisualLeaf`

### render

    public void render(java.awt.Graphics2D g2)

  Overrides:
    `render` in class `VisualLeaf`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD